# Enum WorkoutLocationType

java.lang.Object
java.lang.Enum<WorkoutLocationType>
com.codename1.health.workout.WorkoutLocationType

All Implemented Interfaces:
  `Comparable<WorkoutLocationType>`

public enum WorkoutLocationType extends Enum<WorkoutLocationType>

Whether a workout happens indoors or outdoors.

A label in this release: nothing here drives a live workout session, so it is recorded with the workout and read back rather than acted on. It is more than a label on a live session -- on watchOS it selects whether GPS is used, which materially changes both the distance calculation and battery drain -- so set it correctly now and the behaviour follows when live sessions arrive.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INDOOR`
  Indoors -- distance comes from motion sensors rather than GPS.
  `OUTDOOR`
  Outdoors -- GPS is used where available.
  `UNKNOWN`
  Not specified; the platform decides.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkoutLocationType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WorkoutLocationType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final WorkoutLocationType UNKNOWN
    Not specified; the platform decides.

  - ### INDOOR

    public static final WorkoutLocationType INDOOR
    Indoors -- distance comes from motion sensors rather than GPS.

  - ### OUTDOOR

    public static final WorkoutLocationType OUTDOOR
    Outdoors -- GPS is used where available.

- ## Method Details

  - ### values

    public static WorkoutLocationType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WorkoutLocationType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null